# Interface RcsbFv3DDataProviderInterface

#### Hierarchy

- RcsbFv3DDataProviderInterface

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:49

#####
Index

### Properties

additionalConfig?
config
cssConfig?
elementId?
molstarProps?
trajectoryProvider?

## Properties

### `Optional` additionalConfig

additionalConfig?: RcsbFvAdditionalConfig

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:58

### config

config: {
dataProvider: RcsbModuleDataProviderInterface;
loadParamsProvider?: LoadParamsProviderInterface<{
entryId: string;
instanceId: string;
}, LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>>;
subtitle?: string;
title?: string;
additionalContent?(props) => Element;
}

#### Type declaration

- ##### dataProvider: RcsbModuleDataProviderInterface

- ##### `Optional` loadParamsProvider?: LoadParamsProviderInterface<{
  entryId: string;
  instanceId: string;
  }, LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>>

- ##### `Optional` subtitle?: string

- ##### `Optional` title?: string

- ##### additionalContent?:function

  - additionalContent(props): Element

  - #### Parameters

    - ##### props: AbstractViewInterface

    #### Returns Element

    - Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:56

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:51

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:60

### `Optional` elementId

elementId?: string

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:50

### `Optional` molstarProps

molstarProps?: Partial<ViewerProps>

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:59

### `Optional` trajectoryProvider

trajectoryProvider?: TrajectoryHierarchyPresetProvider<AlignmentTrajectoryParamsType, LoadMolstarReturnType>

- Defined in src/RcsbFv3D/RcsbFv3DAlignmentProvider.tsx:61

Generated using TypeDoc